org.apache.ivy.util

## Class Message

- java.lang.Object
- - org.apache.ivy.util.Message

    public final class Message
    extends java.lang.Object

Logging utility class.

This class provides static methods for easy access to the current logger in `IvyContext`.

To configure logging, you should use the methods provided by the `MessageLoggerEngine` associated with the `Ivy` engine.

### Field Summary

Fields
`static int` `MSG_DEBUG` Message priority of "debug".
`static int` `MSG_ERR` Message priority of "error".
`static int` `MSG_INFO` Message priority of "information".
`static int` `MSG_VERBOSE` Message priority of "verbose".
`static int` `MSG_WARN` Message priority of "warning".

### Method Summary

Methods
`static void` `debug(java.lang.String msg)`
`static void` `debug(java.lang.String message, java.lang.Throwable t)`
`static void` `debug(java.lang.Throwable t)`
`static void` `deprecated(java.lang.String msg)`
`static void` `endProgress()`
`static void` `endProgress(java.lang.String msg)`
`static void` `error(java.lang.String msg)`
`static void` `error(java.lang.String message, java.lang.Throwable t)`
`static MessageLogger` `getDefaultLogger()` Returns the current default logger.
`static java.util.List<java.lang.String>` `getProblems()`
`static void` `info(java.lang.String msg)`
`static void` `info(java.lang.String message, java.lang.Throwable t)`
`static boolean` `isShowProgress()`
`static void` `log(int logLevel, java.lang.String msg)`
`static void` `progress()`
`static void` `rawinfo(java.lang.String msg)`
`static void` `setDefaultLogger(MessageLogger logger)` Change the default logger used when no other logger is currently configured
`static void` `setShowProgress(boolean progress)`
`static void` `showInfo()`
`static void` `sumupProblems()`
`static void` `verbose(java.lang.String msg)`
`static void` `verbose(java.lang.String message, java.lang.Throwable t)`
`static void` `warn(java.lang.String msg)`
`static void` `warn(java.lang.String message, java.lang.Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MSG_ERR

    public static final int MSG_ERR

Message priority of "error".

See Also:
  Constant Field Values

#### MSG_WARN

    public static final int MSG_WARN

Message priority of "warning".

See Also:
  Constant Field Values

#### MSG_INFO

    public static final int MSG_INFO

Message priority of "information".

See Also:
  Constant Field Values

#### MSG_VERBOSE

    public static final int MSG_VERBOSE

Message priority of "verbose".

See Also:
  Constant Field Values

#### MSG_DEBUG

    public static final int MSG_DEBUG

Message priority of "debug".

See Also:
  Constant Field Values

### Method Detail

#### getDefaultLogger

    public static MessageLogger getDefaultLogger()

Returns the current default logger.

Returns:
  the current default logger; is never `null`.

#### setDefaultLogger

    public static void setDefaultLogger(MessageLogger logger)

Change the default logger used when no other logger is currently configured

Parameters:
  `logger` - the new default logger, must not be `null`

#### showInfo

    public static void showInfo()

#### debug

    public static void debug(java.lang.String msg)

#### verbose

    public static void verbose(java.lang.String msg)

#### info

    public static void info(java.lang.String msg)

#### rawinfo

    public static void rawinfo(java.lang.String msg)

#### deprecated

    public static void deprecated(java.lang.String msg)

#### warn

    public static void warn(java.lang.String msg)

#### error

    public static void error(java.lang.String msg)

#### log

    public static void log(int logLevel,
           java.lang.String msg)

#### getProblems

    public static java.util.List<java.lang.String> getProblems()

#### sumupProblems

    public static void sumupProblems()

#### progress

    public static void progress()

#### endProgress

    public static void endProgress()

#### endProgress

    public static void endProgress(java.lang.String msg)

#### isShowProgress

    public static boolean isShowProgress()

#### setShowProgress

    public static void setShowProgress(boolean progress)

#### debug

    public static void debug(java.lang.String message,
             java.lang.Throwable t)

#### verbose

    public static void verbose(java.lang.String message,
               java.lang.Throwable t)

#### info

    public static void info(java.lang.String message,
            java.lang.Throwable t)

#### warn

    public static void warn(java.lang.String message,
            java.lang.Throwable t)

#### error

    public static void error(java.lang.String message,
             java.lang.Throwable t)

#### debug

    public static void debug(java.lang.Throwable t)